---
updatedAt: 2026-03-24T19:26:56.000Z
---

Fetch the complete documentation index at: https://developer.bill.com/llms.txt. Use this file to discover all available pages before exploring further. Append .md to any documentation page URL to get its markdown version.

# Vendor payment options

BILL enables a wide range of vendor payment options based on the funding account options available in your BILL organization and on the payment methods accepted by a vendor. See <Anchor label="GET /v3/payments/options" target="_blank" href="ref:listpaymentoptions">GET /v3/payments/options</Anchor> in the API reference for more information.

Use `GET /v3/payments/options` to get the list of vendor payment options.

| Funding option | Description                                                                                                             |
| :------------- | :---------------------------------------------------------------------------------------------------------------------- |
| Card account   | Details about your card account, brand, availability, vendor payment delivery date, and estimated fees for the payment. |
| Bank account   | Details about the bank account, availability, and vendor payment delivery date.                                         |

## Sample request

In your `GET /v3/payments/options` request, set the required fields as query parameters.

| Field      | Description                     |
| :--------- | :------------------------------ |
| `vendorId` | BILL-generated ID of the vendor |
| `amount`   | Vendor payment amount           |

In this cURL example, we get a set of details about the vendor payment options. In the request, `vendorId` and `amount` are set as query parameters. The request assumes that the current date is Sunday, August 30, 2026.

```curl cURL
curl --request GET \
--url 'https://gateway.stage.bill.com/connect/v3/payments/options?vendorId={vendor_id}&amount=200.00 \
--header 'content-type: application/json' \
--header 'devKey: {developer_key}' \
--header 'sessionId: {session_id}'
```

## Response

In the response, if a funding option is not available paying the vendor (`"available": false`), a `reason` is available.

```json
{
  "vendorId": "{vendor_id}",
  "amount": "200.00",
  "fundingOptions": {
    "cards": [
      {
        "available": false,
        "id": "{card_account_id}",
        "brand": "amex",
        "deliveryDate": "2026-09-01",
        "feeInfo": {
          "amount": 5.80,
          "rate": 2.9
        },
        "reason": "Vendor does not support AMEX card payments."
      },
      {
        "available": true,
        "id": "{card_account_id}",
        "brand": "visa",
        "deliveryDate": "2026-09-01",
        "feeInfo": {
          "amount": 5.80,
          "rate": 2.9
        }
      },
      {
        "available": false,
        "id": "{card_account_id}",
        "brand": "visa",
        "reason": "User verification required for payments with card account."
      }
    ],
    "banks": [
      {
        "available": true,
        "id": "{bank_account_id}",
        "name": "Chase Checking Rewards",
        "deliveryDate": "2026-09-07",
        "fee": 0.00
      },
      {
        "available": false,
        "id": "{bank_account_id}",
        "name": "Bank of America Business Checking",
        "reason": "User verification required for payments with bank account."
      }
    ]
  }
}
```